function input = input_processing(inPath, inFile)
	
% % Number of rows
% row = 0;
% fid = fopen([inputPath inputFilename]);
% while feof(fid) == 0
% 	row = row+1;
% 	lineContent = fgetl(fid)
% 	if ~isempty(lineContent)
% 		data = textscan(lineContent, '%s')
% 	end
% end
% row
% fclose(fid);

fid = fopen([inPath inFile]);
lineContent = fgetl(fid);
lineContent = fgetl(fid);

lineContent = fgetl(fid); % Fiber - parameters
lineContent = fgetl(fid); % Geometry
lineContent = fgetl(fid); %Length
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{2});
	input.Lf = data;
lineContent = fgetl(fid); %Diameter
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{2});
	input.df = data;
lineContent = fgetl(fid); % Material
lineContent = fgetl(fid); %Modulus
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{4});
	input.Ef = data;
lineContent = fgetl(fid); %Strength
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{2});
	input.ftf = data;
lineContent = fgetl(fid); %Volume fraction
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{3});
	input.Vff = data;
	
lineContent = fgetl(fid);

lineContent = fgetl(fid); % Matrix - parameters
lineContent = fgetl(fid); %Modulus
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{4});
	input.Em = data;
	
lineContent = fgetl(fid);

lineContent = fgetl(fid); % Interface - parameters
lineContent = fgetl(fid); %Friction
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{2});
	input.tau0 = data;
lineContent = fgetl(fid); %Chemical bond
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{3});
	input.Gd = data;
lineContent = fgetl(fid); %Slip-hardening parameter
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{3});
	input.beta = data;
	
lineContent = fgetl(fid);

lineContent = fgetl(fid); % Other parameters
lineContent = fgetl(fid); %snubbing coefficient
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{3});
	input.sc = data;
lineContent = fgetl(fid); %Strength reduction coefficient
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{4});
	input.src = data;
	
lineContent = fgetl(fid);

lineContent = fgetl(fid); % Specimen - parameters
lineContent = fgetl(fid); % Generation of fibers
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{4});
	input.genSpecGeo = data;
lineContent = fgetl(fid); % Width
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{2});
	input.b = data;
lineContent = fgetl(fid); % Thickness
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{2});
	input.t = data;
lineContent = fgetl(fid); % Number of cracks
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{4});
	input.numCrack = data;
	
lineContent = fgetl(fid);
lineContent = fgetl(fid);

lineContent = fgetl(fid); % The calculation parameters
lineContent = fgetl(fid); % Parallelization
	data = textscan(lineContent,'%s');
	data = data{1};
	data = str2double(data{4});
	input.numCor = data;
	
	
fclose(fid);
end